import {ProjectFactory} from '../../factories/project'
import {UserFactory} from '../../factories/user'
import {NamespaceFactory} from '../../factories/namespace'
import {TaskFactory} from '../../factories/task'

export function createProjects() {
	UserFactory.create(1)
	NamespaceFactory.create(1)
	const projects = ProjectFactory.create(1, {
		title: 'First Project'
	})
	TaskFactory.truncate()
	return projects
}

export function prepareProjects(setProjects = () => {}) {
	beforeEach(() => {
		const projects = createProjects()
		setProjects(projects)
	})
}