import {Factory} from '../support/factory'
import {formatISO} from "date-fns"
import {faker} from '@faker-js/faker'

export class ProjectFactory extends Factory {
	static table = 'projects'

	static factory() {
		const now = new Date()

		return {
			id: '{increment}',
			title: faker.lorem.words(3),
			owner_id: 1,
			namespace_id: 1,
			created: formatISO(now),
			updated: formatISO(now)
		}
	}
}